module.exports = {
  title: '0xADB',
  description: 'Welcome to adb.sh',
  head: [
    ['meta', { name: 'theme-color', content: '#3eaf7c' }],
    ['meta', { name: 'apple-mobile-web-app-capable', content: 'yes' }],
    ['meta', { name: 'apple-mobile-web-app-status-bar-style', content: 'black' }],
    ['meta', { name: 'author', content: 'Alban David Becker' }],
    ['meta', { name: 'publisher', content: 'Alban David Becker' }],
    ['meta', { name: 'copyright', content: 'Alban David Becker' }],
    ['meta', { name: 'keywords', content: 'Alban, David, Becker, web development, development, hosting, open source, FOSS, music, DJ' }],
    ['meta', { name: 'page-type', content: 'Private Homepage' }],
    ['meta', { name: 'robots', content: 'follow' }],
    ['meta', { 'http-equiv': 'content-language', content: 'en' }],
  ],
  markdown: {
    anchor: { permalink: false },
    extendMarkdown: md => {
      md.set({ breaks: true });
    }
  },
  dest: "./dist",
  themeConfig: {
    repo: '',
    editLinks: false,
    docsDir: '',
    editLinkText: '',
    lastUpdated: false,
    searchMaxSuggestions: 10,
    searchHotkeys: ['s', 'k', '/'],
    searchPlaceholder: 'Ctrl + S',
    test: [/.+.md/],
    nav: [
      {
        text: 'projects',
        link: '/projects',
      },
      {
        text: 'music',
        link: '/music',
      },
    ],
  },
  plugins: {
    '@vuepress/plugin-search': {},
    'vuepress-plugin-sitemap': {
      hostname: 'https://adb.sh/',
      exclude: ['/404.html'],
    }
  }
}
